#!/bin/bash
echo -e "Attention! This script will remove all installed i3wm files from your NAND.\nIf anything catches on fire or your Pandora gets bricked, I take no responsibility.\nEnter your password to proceed:"
read yn
if [ $yn = "y" ]
then
## rm files from destination, check for existance of files before removing
  if [ -e /usr/bin/i3 ]
  then
      echo "Removing binaries. Are your sure?"
      sudo -S echo "rm i3 i3-config-wizard i3-dump-log i3-migrate-config-to-v4 i3-nagbar i3-sensible-editor i3-sensible-terminal i3bar i3-dmenu-desktop i3-input 
i3-msg i3-save-tree i3-sensible-pager i3-with-shmlog"
  else
      echo "No binaries to remove"
  fi

  if [ -e /usr/lib/i3 ]
  then
      echo "Libraries already installed"
      sudo -S echo "rm -r /usr/lib/i3"
  else
      echo "No libraries installed"
  fi

  if [ -e ~/.i3 ]
  then
      echo "Really remove config files from /home/$USER ?"
      rm -r /home/$USER/.i3
  else
      echo "No config file to remove from /home/$USER"
  fi

  if [ -e /usr/bin/i3startup ]
  then
      sudo -S echo "rm /usr/bin/i3startup"
  else
      echo "No startup script to remove"
  fi

  if grep -q "i3" /etc/pandora/conf/gui.conf
  then
      sudo -S echo "blabla sed magic here"
  else
      echo "No i3 session to remove in /etc/pandora/conf/gui.conf"
  fi
else
    echo "Exiting now. Goodbye!"
fi
