#!/bin/bash
echo -e "Attention! This script will install files to your NAND.\nPlease be aware, that you need to have enough space left. \nIf anything catches on fire or 
your Pandora gets bricked, I take no responsibility.\nProceed? y/n and enter:"
read yn
echo $yn
if [ "$yn" = "y" ] 
then

## cp files to destination, check for existance of files before copying
  if [ -e /usr/bin/i3 ]
  then
    echo "Binaries already installed"
  else
  echo "Copying binaries to /usr/bin"
  sudo cp bin/* /usr/bin
  ## echo -e $SUDOPW"\n" | sudo -S cp bin/* /usr/bin
  fi

  if [ -e /usr/lib/i3 ]
  then
    echo "Libraries already installed"
  else
  echo "Making dir /usr/lib/i3 and copying libraries there"
  sudo mkdir /usr/lib/i3
  sudo cp lib/* usr/lib/i3
## echo -e $SUDOPW"\n" | sudo -S mkdir /usr/lib/i3
## echo -e $SUDOPW"\n" | sudo -S cp lib/* usr/lib/i3
  fi

## check if config folder already exists in users home folder
## create folder and copy config if it doesn't
  if [ -e ~/.i3 ]
  then
    echo "Config folder already exists"
  else
  echo "Making dir ~/.i3 and copying default config"
  mkdir ~/.i3
  cp conf/conf ~/.i3/
  fi

## if no startup script is found in /usr/bin, copy it there
  if [ -e /usr/bin/i3startup ]
  then
    echo "Startup script already exists"
  else
  echo "Copying startup script to /usr/bin/ as i3startup"
  sudo cp i3startup /usr/bin/i3startup
## echo -e $SUDOPW"\n" | sudo -S cp i3startup /usr/bin/i3startup
  fi

## check for session entry in gui.conf and append one if none is found
  if grep -q "i3" /etc/pandora/conf/gui.conf
  then
    echo "i3 session entry in gui.conf already exists"
  else
  echo "Appending i3 session to /etc/pandora/conf/gui.conf"
  echo "i3;i3 tiling window manager;i3startup;killall i3" | sudo tee -a /etc/pandora/conf/gui.conf
  fi
else
echo "Exiting. Good bye."
fi
